---
title: 'Welcome to Forgejo'
license: 'CC-BY-SA-4.0'
---

Welcome to our project! We are looking forward to seeing you participate in our community.
Thank you so much for improving Forgejo within your means.

Forgejo consists of a diverse community,
and so far we have found a place for everyone and their unique skills,
no matter if they are in communication, management or technical.

Forgejo contributors are very motivated and aim at a very high software quality,
and we hope you'll find yourself inspired by the spirit in our community.
The standards might feel surprisingly high if you compare to some other free software projects of similar size.
Try to bring some patience and consider starting with small contributions to get used to the workflow.
Don't be afraid: We are here to help you in any situation,
and there are low-hanging fruits and easy tasks to get started with.

Some examples you might be surprised about:

- We perform [user research](https://codeberg.org/forgejo/user-research) and user testing.
- We try to apply a [design workflow](https://codeberg.org/forgejo/design/) prior to implementing feature requests (read about the [background](https://codeberg.org/forgejo/discussions/issues/178)).
- To reduce the long-term maintenance effort, we require that code changes bring a significant amount of testing.
- Changes can undergo a lot of review and iterations (not only code but also documentation, translations etc).

## Getting Started

We recommend to join the Matrix channels (see link in footer) and say hi.
The chats are very active and a good place to ask for help or get to know the community.

Depending on where you want to get involved with, check the [list of resources](../).
There might be subjects with less or incomplete onboarding information.
Don't hesitate to say hi and ask for more information,
especially if you want to contribute in a domain that has no clear getting-started procedure
(e.g. helping with project communication / socializing).

If you want to start developing for Forgejo,
we recommend you take a look at [good first issues](https://codeberg.org/forgejo/forgejo/issues/?labels=222666).
In the conversation, you will typically find some information about where to start and what is expected in the change.
Don't hesitate to reply to the issue, explain you'd like to get started or ask questions if any.
The maintainer who added the "good first issue" label will be happy to assist you on your way.

## Getting into the project

If you have fun contributing to Forgejo,
we invite you to consider yourself a part of the community.
Hang around in the chats, have fun with others and feel free to share your feedback, even on things you didn't yet contribute to.
We recommend you make yourself familiar with our [governance repository](https://codeberg.org/forgejo/governance)
and watch the activity for decisions you might want to participate in.
[Check out the teams](https://codeberg.org/forgejo/governance/src/branch/main/TEAMS.md)
and consider applying to those who match your interests.
